@ECHO OFF
cls

cd /d %~dp0

set path=C:\PostgreSQL\10\bin;%PATH%
set PGPASSWORD=TEMPPW


ECHO ====================================================================
ECHO.   
ECHO   This batch file is to change alarm sensitivity to [1.12].
ECHO.
ECHO   *This batch will not change for persons whose alarm sensitivity
ECHO    is already set higher than 1.12.
ECHO.
ECHO.
ECHO   This batch file must be run on the master server.
ECHO.
ECHO   This batch file can be run while WV-ASF950 is running.
ECHO.
ECHO.
ECHO                               Alarm sensitivity batch (1.12) V1.02
ECHO                                                    i-PRO Co., Ltd.
ECHO ====================================================================


ECHO.
ECHO Set alarm sensitivity to "1.12"? (Y/N)
SET /p userkey=
if "%userkey%"=="Y" GOTO RECONFIRM
if "%userkey%"=="y" GOTO RECONFIRM
REM Cancel except Y,y 
goto END
pause
exit /b


:RECONFIRM
ECHO (Reconfirm) Set alarm sensitivity to "1.12"? (Y/N) 
SET /p userkey=
if "%userkey%"=="Y" GOTO INPUT_PW
if "%userkey%"=="y" GOTO INPUT_PW
REM Cancel except Y,y 
goto END
pause
exit /b


:INPUT_PW
set /p PGPASSWORD="Input Database password >> "
if ""%PGPASSWORD%""=="""" GOTO INPUT_PW


:CONTINUE
@ECHO OFF

psql -c "UPDATE rt_alarm_matching_info SET threshold='1120',update_datetime=now()+CAST(rt_alarm_matching_info_id || 'millisecond' AS interval) where threshold<'1120'" -U postgres -d BRK

REM not effected
if %ERRORLEVEL% neq 0 goto ERROR_MESSAGE

ECHO.
REM color 0B
ECHO ======================================================================
ECHO   New value of alarm sensitivity has been set in DB.
ECHO   (20 items are reflected in the operational status each 10 seconds.)
ECHO.
ECHO.
ECHO   Press any key to exit the batch file and close this screen.
ECHO ======================================================================
ECHO.
ECHO.

pause
exit /b 0


REM -------------------------------------------------------
REM Error
REM -------------------------------------------------------
:ERROR_MESSAGE
color 0E
echo.
ECHO ================================================================
ECHO   Alarm sensitivity could not be changed due to an error.
ECHO.
ECHO   Press any key to exit the batch file and close this screen.
ECHO ================================================================
echo.
pause
exit /b 1
REM -------------------------------------------------------


:END
@echo off
ECHO ================================================================
ECHO   Batch processing has been canceled.
ECHO.
ECHO   Press any key to exit the batch file and close this screen.
ECHO ================================================================
ECHO.
pause
exit /b